Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
boycdon160483

Nhờ viết lisp xóa tất cả các đối tượng được chọn trừ số nguyên

Các bài được khuyến nghị

Nhờ các anh giúp em một vấn đề như sau: Em có file auto CAD gồn nhiều đối tựong trong cùng một bản vẽ, cùng một layer. Em muốn xóa tất cả các đối tượng do mình chọn trong vùng nhưng để lại một đối tựong là đối tựơng số nguyên (là số ký hiệu thửa đất). Mong các anh giúp, em xin chân thành cảm ơn. Đây là file CAD của em: http://www.cadviet.com/upfiles/3/107485_new_block.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhờ các anh giúp em một vấn đề như sau: Em có file auto CAD gồn nhiều đối tựong trong cùng một bản vẽ, cùng một layer. Em muốn xóa tất cả các đối tượng do mình chọn trong vùng nhưng để lại một đối tựong là đối tựơng số nguyên (là số ký hiệu thửa đất). Mong các anh giúp, em xin chân thành cảm ơn. Đây là file CAD của em: http://www.cadviet.c...5_new_block.dwg

Bạn có thể tham khảo bài của bác DOAN VAN HA ở http://www.cadviet.com/forum/index.php?showtopic=63906

hoặc bạn dùng cái này nhé

;; Dua tren y tuong cua bac DOAN VAN HA
(defun C:LOC()
(command "-layer" "new" "TENTHUADAT" "")
(prompt "\nChon vung doi tuong muon tim loc: ")
(setq ss (ssget '((0 . "*TEXT") (1 . "~*[~0-9]*"))))
(command "CHANGE" "P" "" "PROPERTIES" "LAYER" "TENTHUADAT" "" )
)

Đã lọc được riêng đối tượng bạn cần, xóa hay làm gì khác là quyền ở bạn nhé

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhờ các anh giúp em một vấn đề như sau: Em có file auto CAD gồn nhiều đối tựong trong cùng một bản vẽ, cùng một layer. Em muốn xóa tất cả các đối tượng do mình chọn trong vùng nhưng để lại một đối tựong là đối tựơng số nguyên (là số ký hiệu thửa đất). Mong các anh giúp, em xin chân thành cảm ơn. Đây là file CAD của em: http://www.cadviet.c...5_new_block.dwg

Hề hề hề,

Bạn dùng thử cái này coi sao nhé.


(defun c:xoa ()
(vl-load-com)
(command "undo" "be")
(setq ssl (acet-ss-to-list (ssget)))
(foreach a ssl
   (setq alst (entget a))
   (if (/= (cdr (assoc 0 alst)) "TEXT")
       (command "erase" a "")
       (if (not (= (type (read (cdr (assoc 1 alst)))) 'INT))
           (command "erase" a "")
       )
   )
)
(command "undo" "e")
(princ)
)

Hy vọng đúng ý bạn .

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bận bồng em bé nên không đi uống cafe thì cũng được, nhưng đâu bận đến nỗi mà không tick được "Like This" cho 2 tác giả đã giúp bạn?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ô lại là ... => Đã từng viết yêu cầu

Sai quy tắc đặt tên + Đã từng viết yêu cầu = Vi phạm => Move

 

(defun c:test()(command "erase" (ssget (list (cons -4 "<NOT") (cons 1 "~*[~0-9]*")(cons -4 "NOT>"))) ""))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×